/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file used to configure subsystem availability.
 *
 */
/*==========================================================================*/

#ifndef SC_HAS_SS_H
#define SC_HAS_SS_H

/* Subsystem Switches */

#define HAS_SS_SC           1
#define HAS_SS_MCU_0        0
#define HAS_SS_MCU_1        0
#define HAS_SS_CCI          1
#define HAS_SS_AP_0         1
#define HAS_SS_AP_1         0
#define HAS_SS_AP_2         0
#define HAS_SS_GPU_0        0
#define HAS_SS_GPU_1        0
#define HAS_SS_VPU          0
#define HAS_SS_DC_0         0
#define HAS_SS_DC_1         0
#define HAS_SS_IMG_0        0
#define HAS_SS_AUDIO        0
#define HAS_SS_ADMA         0
#define HAS_SS_DMA          1
#define HAS_SS_CONN         0
#define HAS_SS_DB           1
#define HAS_SS_DBLOGIC      1
#define HAS_SS_DRC_0        1
#define HAS_SS_DRC_1        1
#define HAS_SS_LSIO         1
#define HAS_SS_HSLSIO       0
#define HAS_SS_HSIO_0       0
#define HAS_SS_HSIO_1       0
#define HAS_SS_LCD_0        0
#define HAS_SS_LVDS_0       0
#define HAS_SS_LVDS_1       0
#define HAS_SS_LVDS_2       0
#define HAS_SS_PI_0         0
#define HAS_SS_PI_1         0
#define HAS_SS_CSI_0        0
#define HAS_SS_CSI_1        0
#define HAS_SS_HDMI_RX      0
#define HAS_SS_HDMI         0
#define HAS_SS_MIPI_0       0
#define HAS_SS_MIPI_1       0
#define HAS_SS_V2X          0

#endif /* SC_HAS_SS_H */

