/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file used to restrict pad mux settings based on resource ownership.
 */
/*==========================================================================*/

/* DO NOT EDIT - This file auto generated by bin/perl/pad_priority_h.pl */

#ifndef SC_PAD_PRIORITY_H
#define SC_PAD_PRIORITY_H

/* Defines */

#define SC_PAD_PRIORITY_INIT \
    PNFO(SIM0_POWER_EN, 0, EMVSIM_0), \
    PNFO(SIM0_GPIO0_00, 0, EMVSIM_0), \
    PNFO(M40_GPIO0_00, 2, UART_4), \
    PNFO(M40_GPIO0_01, 2, UART_4), \
    PNFO(M41_GPIO0_00, 2, UART_3), \
    PNFO(M41_GPIO0_01, 2, UART_3), \
    PNFO(GPT0_CLK, 1, I2C_1), \
    PNFO(GPT0_CAPTURE, 1, I2C_1), \
    PNFO(UART0_RX, 1, SC_UART), \
    PNFO(UART0_TX, 1, SC_UART), \
    PNFO(UART0_RTS_B, 2, UART_2), \
    PNFO(UART0_CTS_B, 2, UART_2), \
    PNFO(UART1_TX, 1, SPI_3), \
    PNFO(UART1_RX, 1, SPI_3), \
    PNFO(UART1_RTS_B, 0, UART_1), \
    PNFO(UART1_RTS_B, 1, SPI_3), \
    PNFO(UART1_RTS_B, 2, UART_1), \
    PNFO(UART1_CTS_B, 0, UART_1), \
    PNFO(UART1_CTS_B, 1, SPI_3), \
    PNFO(UART1_CTS_B, 2, UART_1), \
    PNFO(PMIC_I2C_SDA, 0, SC_I2C), \
    PNFO(PMIC_I2C_SCL, 0, SC_I2C), \
    PNFO(SCU_GPIO0_00, 1, SC_UART), \
    PNFO(SCU_GPIO0_01, 1, SC_UART), \
    PNFO(SCU_BOOT_MODE4, 1, SC_I2C), \
    PNFO(SCU_BOOT_MODE5, 1, SC_I2C), \
    PNFO(LVDS0_I2C1_SCL, 1, UART_2), \
    PNFO(LVDS0_I2C1_SDA, 1, UART_2), \
    PNFO(LVDS1_I2C1_SCL, 1, UART_3), \
    PNFO(LVDS1_I2C1_SDA, 1, UART_3), \
    PNFO(MIPI_CSI0_GPIO0_00, 1, I2C_0), \
    PNFO(MIPI_CSI0_GPIO0_00, 2, CSI_1_I2C_0), \
    PNFO(MIPI_CSI0_GPIO0_01, 1, I2C_0), \
    PNFO(MIPI_CSI0_GPIO0_01, 2, CSI_1_I2C_0), \
    PNFO(MIPI_CSI1_GPIO0_00, 1, UART_4), \
    PNFO(MIPI_CSI1_GPIO0_01, 1, UART_4), \
    PNFO(MIPI_CSI1_I2C0_SCL, 0, CSI_1_I2C_0), \
    PNFO(MIPI_CSI1_I2C0_SDA, 0, CSI_1_I2C_0), \
    PNFO(HDMI_TX0_TS_SCL, 1, I2C_0), \
    PNFO(HDMI_TX0_TS_SDA, 1, I2C_0), \
    PNFO(ESAI1_FST, 1, SPDIF_0), \
    PNFO(ESAI1_SCKT, 2, SPDIF_0), \
    PNFO(ESAI1_TX0, 2, SPDIF_0), \
    PNFO(ESAI1_TX1, 2, SPDIF_0), \
    PNFO(ESAI1_TX2_RX3, 1, SPDIF_0), \
    PNFO(ESAI1_TX3_RX2, 1, SPDIF_0), \
    PNFO(SPDIF0_RX, 0, SPDIF_0), \
    PNFO(SPDIF0_RX, 1, MQS_0), \
    PNFO(SPDIF0_TX, 0, SPDIF_0), \
    PNFO(SPDIF0_TX, 1, MQS_0), \
    PNFO(SPDIF0_EXT_CLK, 0, SPDIF_0), \
    PNFO(SPI3_SCK, 0, SPI_3), \
    PNFO(SPI3_SDO, 0, SPI_3), \
    PNFO(SPI3_SDI, 0, SPI_3), \
    PNFO(SPI3_CS0, 0, SPI_3), \
    PNFO(SPI0_SDO, 1, SAI_0), \
    PNFO(SPI0_SDI, 1, SAI_0), \
    PNFO(SPI0_CS1, 1, SAI_0), \
    PNFO(SPI2_CS1, 1, SAI_0), \
    PNFO(SAI1_RXC, 0, SAI_1), \
    PNFO(SAI1_RXC, 1, SAI_0), \
    PNFO(SAI1_RXD, 1, SAI_0), \
    PNFO(SAI1_RXFS, 0, SAI_1), \
    PNFO(SAI1_RXFS, 1, SAI_0), \
    PNFO(SAI1_TXC, 1, SAI_0), \
    PNFO(SAI1_TXD, 1, SAI_1), \
    PNFO(SAI1_TXFS, 1, SAI_1), \
    PNFO(USB_SS3_TC0, 0, I2C_1), \
    PNFO(USB_SS3_TC0, 1, USB_0), \
    PNFO(USB_SS3_TC1, 0, I2C_1), \
    PNFO(USB_SS3_TC1, 1, USB_2), \
    PNFO(USB_SS3_TC2, 0, I2C_1), \
    PNFO(USB_SS3_TC2, 1, USB_0), \
    PNFO(USB_SS3_TC3, 0, I2C_1), \
    PNFO(USB_SS3_TC3, 1, USB_2), \
    PNFO(USDHC1_RESET_B, 0, SDHC_1), \
    PNFO(USDHC1_VSELECT, 0, SDHC_1), \
    PNFO(ENET0_MDIO, 1, I2C_4), \
    PNFO(ENET0_MDC, 1, I2C_4), \
    PNFO(ENET1_MDIO, 1, I2C_4), \
    PNFO(ENET1_MDC, 1, I2C_4), \
    PNFO(QSPI1A_DATA3, 1, I2C_1), \
    PNFO(QSPI1A_DATA3, 2, USB_0), \
    PNFO(QSPI1A_DATA2, 1, I2C_1), \
    PNFO(QSPI1A_DATA2, 2, USB_2), \
    PNFO(QSPI1A_DATA1, 1, I2C_1), \
    PNFO(QSPI1A_DATA1, 2, USB_2), \
    PNFO(PCIE_CTRL1_CLKREQ_B, 1, I2C_1), \
    PNFO(PCIE_CTRL1_CLKREQ_B, 2, USB_2), \
    PNFO(PCIE_CTRL1_WAKE_B, 1, I2C_1), \
    PNFO(PCIE_CTRL1_WAKE_B, 2, USB_2), \
    PNFO(PCIE_CTRL1_PERST_B, 1, I2C_1), \
    PNFO(PCIE_CTRL1_PERST_B, 2, USB_0), \
    PNFO(USB_HSIC0_DATA, 1, I2C_1), \
    PNFO(USB_HSIC0_STROBE, 1, I2C_1), \
    PNFO(EMMC0_CMD, 2, MQS_0), \
    PNFO(EMMC0_RESET_B, 2, SDHC_1), \
    PNFO(USDHC1_CLK, 1, MQS_0), \
    PNFO(USDHC1_CMD, 1, MQS_0), \
    PNFO(USDHC1_DATA4, 2, MQS_0), \
    PNFO(USDHC1_DATA5, 2, MQS_0), \
    PNFO(USDHC1_STROBE, 2, SDHC_1), \
    PNFO(USDHC2_CLK, 1, MQS_0), \
    PNFO(USDHC2_CMD, 1, MQS_0), \
    PNFO(USDHC2_DATA0, 1, UART_4), \
    PNFO(USDHC2_DATA1, 1, UART_4), \
    PNFO(ENET0_RGMII_TXD2, 1, UART_3), \
    PNFO(ENET0_RGMII_TXD2, 2, VPU_TS_0), \
    PNFO(ENET0_RGMII_TXD3, 1, UART_3), \
    PNFO(ENET0_RGMII_TXD3, 2, VPU_TS_0), \
    PNFO(ENET0_RGMII_RXC, 1, UART_3), \
    PNFO(ENET0_RGMII_RXC, 2, VPU_TS_0), \
    PNFO(ENET0_RGMII_RX_CTL, 1, VPU_TS_0), \
    PNFO(ENET0_RGMII_RXD0, 1, VPU_TS_0), \
    PNFO(ENET0_RGMII_RXD1, 1, VPU_TS_0), \
    PNFO(ENET0_RGMII_RXD2, 2, VPU_TS_0), \
    PNFO(ENET0_RGMII_RXD3, 1, UART_3), \
    PNFO(ENET0_RGMII_RXD3, 2, VPU_TS_0), \
    PNFO(ENET1_RGMII_TXD2, 1, UART_3), \
    PNFO(ENET1_RGMII_TXD2, 2, VPU_TS_0), \
    PNFO(ENET1_RGMII_TXD3, 1, UART_3), \
    PNFO(ENET1_RGMII_TXD3, 2, VPU_TS_0), \
    PNFO(ENET1_RGMII_RXC, 1, UART_3), \
    PNFO(ENET1_RGMII_RXC, 2, VPU_TS_0), \
    PNFO(ENET1_RGMII_RX_CTL, 1, VPU_TS_0), \
    PNFO(ENET1_RGMII_RXD0, 1, VPU_TS_0), \
    PNFO(ENET1_RGMII_RXD1, 1, VPU_TS_0), \
    PNFO(ENET1_RGMII_RXD2, 2, VPU_TS_0), \
    PNFO(ENET1_RGMII_RXD3, 1, UART_3), \
    PNFO(ENET1_RGMII_RXD3, 2, VPU_TS_0), \
    {0, 0, 0}

#define SC_NUM_PAD_PRIORITY 130

#endif /* SC_PAD_PRIORITY_H */

