/*
** ###################################################################
**     Processors:          MX8
**
**     Compilers:           GNU C Compiler
**
**     Abstract:
**         CMSIS Peripheral Access Layer for MX8
**
**     Copyright (c) 1997 - 2015 Freescale Semiconductor, Inc.
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*
 * WARNING! DO NOT EDIT THIS FILE DIRECTLY!
 *
 * This file was generated automatically and any changes may be lost.
 */
#ifndef HW_LPCG_REGISTERS_H
#define HW_LPCG_REGISTERS_H

#include "lpcg.h"

/*
 * LPCG access macros
 */
#define HW_LPCG_ADDR(lpcg)          ((lpcg##__BASE) + (lpcg##__REG))
#define HW_LPCG_RD(lpcg)            (*(volatile uint32_t *)(HW_LPCG_ADDR(lpcg)))
#define HW_LPCG_WR(lpcg, val)       (*(volatile uint32_t *)(HW_LPCG_ADDR(lpcg)) = (val))
#define HW_LPCG_BMSK(lpcg, bit)     (1U << (lpcg##__##bit))
#define HW_LPCG_BSET(lpcg, bit)     (HW_LPCG_WR(lpcg, HW_LPCG_RD(lpcg) | HW_LPCG_BMSK(lpcg, bit)))
#define HW_LPCG_BCLR(lpcg, bit)     (HW_LPCG_WR(lpcg, HW_LPCG_RD(lpcg) & (~(HW_LPCG_BMSK(lpcg, bit)))))

/*
 * LPCG base addresses
 */
#define LPCG__SS_SCU__CM4__TCMC_HCLK__BASE                      0x415E0000U
 
#define LPCG__SS_SCU__CM4__MMCAU_HCLK__BASE                     0x415F0000U
 
#define LPCG__SS_SCU__TPM1__IPG_CLK__BASE                       0x41600000U
#define LPCG__SS_SCU__TPM1__LPTPM_CLK__BASE                     0x41600000U
 
#define LPCG__SS_SCU__LPIT1__IPG_CLK__BASE                      0x41610000U
#define LPCG__SS_SCU__LPIT1__IPG_PER_CLK__BASE                  0x41610000U
#define LPCG__SS_SCU__LPIT1__IPG_UNGATED_PER_CLK__BASE          0x41610000U

#define LPCG__SS_SCU__LPUART1__IPG_CLK__BASE                    0x41620000U
#define LPCG__SS_SCU__LPUART1__LPUART_BAUD_CLK__BASE            0x41620000U
#define LPCG__SS_SCU__LPUART1__LPUART_BAUD_GATED_CLK__BASE      0x41620000U

#define LPCG__SS_SCU__LPI2C1__IPG_CLK__BASE                     0x41630000U
#define LPCG__SS_SCU__LPI2C1__LPI2C_CLK__BASE                   0x41630000U
#define LPCG__SS_SCU__LPI2C1__LPI2C_DIV_CLK__BASE               0x41630000U

/*
 * LPCG common bit definitions
 */
#define LPCG__SS_SCU__PER_CLK__HWEN                             0U
#define LPCG__SS_SCU__PER_CLK__SWEN                             1U
#define LPCG__SS_SCU__PER_CLK__STOP                             3U

#define LPCG__SS_SCU__IPG_CLK__HWEN                             4U
#define LPCG__SS_SCU__IPG_CLK__SWEN                             5U
#define LPCG__SS_SCU__IPG_CLK__STOP                             7U


#endif /* HW_LPCG_REGISTERS_H */

