/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file containing local resource defines for the AUDIO subsystem.
 *
 * @addtogroup AUDIO_SS
 * @{
 */
/*==========================================================================*/

/* DO NOT EDIT - This file auto generated by bin/perl/rsrc_ss_h.pl */

#ifndef SC_SS_AUDIO_RSRC_H
#define SC_SS_AUDIO_RSRC_H

/*!
 * @name Defines for local SS resource indexes
 */
/** @{ */
#define SS_R_ASRC_0              0U
#define SS_R_ESAI_0              1U
#define SS_R_SPDIF_0             2U
#define SS_R_SPDIF_1             3U
#define SS_R_SAI_0               4U
#define SS_R_SAI_1               5U
#define SS_R_SAI_2               6U
#define SS_R_SAI_3               7U
#define SS_R_SAI_4               8U
#define SS_R_SAI_5               9U
#define SS_R_GPT_5               10U
#define SS_R_GPT_6               11U
#define SS_R_GPT_7               12U
#define SS_R_GPT_8               13U
#define SS_R_GPT_9               14U
#define SS_R_GPT_10              15U
#define SS_R_DMA_2_CH0           16U
#define SS_R_DMA_2_CH1           17U
#define SS_R_DMA_2_CH2           18U
#define SS_R_DMA_2_CH3           19U
#define SS_R_DMA_2_CH4           20U
#define SS_R_DMA_2_CH5           21U
#define SS_R_DMA_2_CH6           22U
#define SS_R_DMA_2_CH7           23U
#define SS_R_DMA_2_CH8           24U
#define SS_R_DMA_2_CH9           25U
#define SS_R_DMA_2_CH10          26U
#define SS_R_DMA_2_CH11          27U
#define SS_R_DMA_2_CH12          28U
#define SS_R_DMA_2_CH13          29U
#define SS_R_DMA_2_CH14          30U
#define SS_R_DMA_2_CH15          31U
#define SS_R_DMA_2_CH16          32U
#define SS_R_DMA_2_CH17          33U
#define SS_R_DMA_2_CH18          34U
#define SS_R_DMA_2_CH19          35U
#define SS_R_DMA_2_CH20          36U
#define SS_R_DMA_2_CH21          37U
#define SS_R_DMA_2_CH22          38U
#define SS_R_DMA_2_CH23          39U
#define SS_R_DMA_2_CH24          40U
#define SS_R_DMA_2_CH25          41U
#define SS_R_DMA_2_CH26          42U
#define SS_R_DMA_2_CH27          43U
#define SS_R_DMA_2_CH28          44U
#define SS_R_DMA_2_CH29          45U
#define SS_R_DMA_2_CH30          46U
#define SS_R_DMA_2_CH31          47U
#define SS_R_ASRC_1              48U
#define SS_R_ESAI_1              49U
#define SS_R_SAI_6               50U
#define SS_R_SAI_7               51U
#define SS_R_AMIX                52U
#define SS_R_MQS_0               53U
#define SS_R_DMA_3_CH0           54U
#define SS_R_DMA_3_CH1           55U
#define SS_R_DMA_3_CH2           56U
#define SS_R_DMA_3_CH3           57U
#define SS_R_DMA_3_CH4           58U
#define SS_R_DMA_3_CH5           59U
#define SS_R_DMA_3_CH6           60U
#define SS_R_DMA_3_CH7           61U
#define SS_R_DMA_3_CH8           62U
#define SS_R_DMA_3_CH9           63U
#define SS_R_DMA_3_CH10          64U
#define SS_R_DMA_3_CH11          65U
#define SS_R_DMA_3_CH12          66U
#define SS_R_DMA_3_CH13          67U
#define SS_R_DMA_3_CH14          68U
#define SS_R_DMA_3_CH15          69U
#define SS_R_DMA_3_CH16          70U
#define SS_R_DMA_3_CH17          71U
#define SS_R_DMA_3_CH18          72U
#define SS_R_DMA_3_CH19          73U
#define SS_R_DMA_3_CH20          74U
#define SS_R_DMA_3_CH21          75U
#define SS_R_DMA_3_CH22          76U
#define SS_R_DMA_3_CH23          77U
#define SS_R_DMA_3_CH24          78U
#define SS_R_DMA_3_CH25          79U
#define SS_R_DMA_3_CH26          80U
#define SS_R_DMA_3_CH27          81U
#define SS_R_DMA_3_CH28          82U
#define SS_R_DMA_3_CH29          83U
#define SS_R_DMA_3_CH30          84U
#define SS_R_DMA_3_CH31          85U
#define SS_R_AUDIO_PLL_0         86U
#define SS_R_AUDIO_PLL_1         87U
#define SS_R_AUDIO_CLK_0         88U
#define SS_R_AUDIO_CLK_1         89U
#define SS_R_MCLK_OUT_0          90U
#define SS_R_MCLK_OUT_1          91U
/** @} */

#endif /* SC_SS_AUDIO_RSRC_H */

/** @} */

