/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file containing the entry points and debug resource strings
 * for the DMA subsystem.
 *
 * @addtogroup DMA_SS
 * @{
 */
/*==========================================================================*/

/* DO NOT EDIT - This file auto generated by bin/perl/config_ss_h.pl */

#ifndef SC_SS_DMA_CONFIG_H
#define SC_SS_DMA_CONFIG_H

/*!
 * This define defines the number of resources.
 */
#define SS_NUM_RSRC_DMA 87U

/*! Define used to create subsystem function prototypes */
#define SS_FUNC_PROTO_DMA \
    void ss_trans_power_mode_dma(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t \
        rsrc_idx, sc_pm_power_mode_t from_mode, sc_pm_power_mode_t \
        to_mode); \
    sc_err_t ss_set_control_dma(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t \
        rsrc_idx, uint32_t ctrl, uint32_t val); \
    void ss_updown_dma(sc_sub_t ss, sc_bool_t up); \


/*!
 * This define is used to override the default SS function entry points.
 * If this isn't defined, then the SS uses functions in base.
 */
#define SS_EP_INIT_DMA \
    { \
        ss_init_base, \
        ss_trans_power_mode_dma, \
        ss_rsrc_reset_base, \
        ss_set_cpu_power_mode_base, \
        ss_set_cpu_resume_base, \
        ss_req_sys_if_power_mode_base, \
        ss_set_clock_rate_base, \
        ss_get_clock_rate_base, \
        ss_clock_enable_base, \
        ss_force_clock_enable_base, \
        ss_set_clock_parent_base, \
        ss_get_clock_parent_base, \
        ss_is_rsrc_accessible_base, \
        ss_mu_irq_base, \
        ss_cpu_start_base, \
        ss_rdc_enable_base, \
        ss_rdc_set_master_base, \
        ss_rdc_set_peripheral_base, \
        ss_rdc_set_memory_base, \
        ss_set_control_dma, \
        ss_get_control_base, \
        ss_irq_enable_base, \
        ss_irq_status_base, \
        ss_irq_trigger_base, \
        ss_dump_base, \
        ss_do_mem_repair_base, \
        ss_updown_dma, \
        ss_prepost_power_mode_base, \
        ss_iso_disable_base, \
        ss_link_enable_base, \
        ss_ssi_power_base, \
        ss_ssi_bhole_mode_base, \
        ss_ssi_pause_mode_base, \
        ss_ssi_wait_idle_base, \
        ss_adb_enable_base, \
        ss_adb_wait_base, \
        ss_prepost_clock_mode_base, \
        ss_rdc_is_did_vld_base, \
    }

#ifdef DEBUG
    /*!
     * This define is used to name resources for debug output.
     */
    #define RNAME_INIT_DMA_0 \
        "SPI_0", \
        "SPI_1", \
        "SPI_2", \
        "SPI_3", \
        "UART_0", \
        "UART_1", \
        "UART_2", \
        "UART_3", \
        "UART_4", \
        "EMVSIM_0", \
        "EMVSIM_1", \
        "DMA_0_CH0", \
        "DMA_0_CH1", \
        "DMA_0_CH2", \
        "DMA_0_CH3", \
        "DMA_0_CH4", \
        "DMA_0_CH5", \
        "DMA_0_CH6", \
        "DMA_0_CH7", \
        "DMA_0_CH8", \
        "DMA_0_CH9", \
        "DMA_0_CH10", \
        "DMA_0_CH11", \
        "DMA_0_CH12", \
        "DMA_0_CH13", \
        "DMA_0_CH14", \
        "DMA_0_CH15", \
        "DMA_0_CH16", \
        "DMA_0_CH17", \
        "DMA_0_CH18", \
        "DMA_0_CH19", \
        "DMA_0_CH20", \
        "DMA_0_CH21", \
        "DMA_0_CH22", \
        "DMA_0_CH23", \
        "DMA_0_CH24", \
        "DMA_0_CH25", \
        "DMA_0_CH26", \
        "DMA_0_CH27", \
        "DMA_0_CH28", \
        "DMA_0_CH29", \
        "DMA_0_CH30", \
        "DMA_0_CH31", \
        "I2C_0", \
        "I2C_1", \
        "I2C_2", \
        "I2C_3", \
        "I2C_4", \
        "ADC_0", \
        "ADC_1", \
        "FTM_0", \
        "FTM_1", \
        "CAN_0", \
        "CAN_1", \
        "CAN_2", \
        "DMA_1_CH0", \
        "DMA_1_CH1", \
        "DMA_1_CH2", \
        "DMA_1_CH3", \
        "DMA_1_CH4", \
        "DMA_1_CH5", \
        "DMA_1_CH6", \
        "DMA_1_CH7", \
        "DMA_1_CH8", \
        "DMA_1_CH9", \
        "DMA_1_CH10", \
        "DMA_1_CH11", \
        "DMA_1_CH12", \
        "DMA_1_CH13", \
        "DMA_1_CH14", \
        "DMA_1_CH15", \
        "DMA_1_CH16", \
        "DMA_1_CH17", \
        "DMA_1_CH18", \
        "DMA_1_CH19", \
        "DMA_1_CH20", \
        "DMA_1_CH21", \
        "DMA_1_CH22", \
        "DMA_1_CH23", \
        "DMA_1_CH24", \
        "DMA_1_CH25", \
        "DMA_1_CH26", \
        "DMA_1_CH27", \
        "DMA_1_CH28", \
        "DMA_1_CH29", \
        "DMA_1_CH30", \
        "DMA_1_CH31", \

#endif

#endif /* SC_SS_DMA_CONFIG_H */

/** @} */

