/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file containing local resource defines for the DMA subsystem.
 *
 * @addtogroup DMA_SS
 * @{
 */
/*==========================================================================*/

/* DO NOT EDIT - This file auto generated by bin/perl/rsrc_ss_h.pl */

#ifndef SC_SS_DMA_RSRC_H
#define SC_SS_DMA_RSRC_H

/*!
 * @name Defines for local SS resource indexes
 */
/** @{ */
#define SS_R_SPI_0               0U
#define SS_R_SPI_1               1U
#define SS_R_SPI_2               2U
#define SS_R_SPI_3               3U
#define SS_R_UART_0              4U
#define SS_R_UART_1              5U
#define SS_R_UART_2              6U
#define SS_R_UART_3              7U
#define SS_R_UART_4              8U
#define SS_R_EMVSIM_0            9U
#define SS_R_EMVSIM_1            10U
#define SS_R_DMA_0_CH0           11U
#define SS_R_DMA_0_CH1           12U
#define SS_R_DMA_0_CH2           13U
#define SS_R_DMA_0_CH3           14U
#define SS_R_DMA_0_CH4           15U
#define SS_R_DMA_0_CH5           16U
#define SS_R_DMA_0_CH6           17U
#define SS_R_DMA_0_CH7           18U
#define SS_R_DMA_0_CH8           19U
#define SS_R_DMA_0_CH9           20U
#define SS_R_DMA_0_CH10          21U
#define SS_R_DMA_0_CH11          22U
#define SS_R_DMA_0_CH12          23U
#define SS_R_DMA_0_CH13          24U
#define SS_R_DMA_0_CH14          25U
#define SS_R_DMA_0_CH15          26U
#define SS_R_DMA_0_CH16          27U
#define SS_R_DMA_0_CH17          28U
#define SS_R_DMA_0_CH18          29U
#define SS_R_DMA_0_CH19          30U
#define SS_R_DMA_0_CH20          31U
#define SS_R_DMA_0_CH21          32U
#define SS_R_DMA_0_CH22          33U
#define SS_R_DMA_0_CH23          34U
#define SS_R_DMA_0_CH24          35U
#define SS_R_DMA_0_CH25          36U
#define SS_R_DMA_0_CH26          37U
#define SS_R_DMA_0_CH27          38U
#define SS_R_DMA_0_CH28          39U
#define SS_R_DMA_0_CH29          40U
#define SS_R_DMA_0_CH30          41U
#define SS_R_DMA_0_CH31          42U
#define SS_R_I2C_0               43U
#define SS_R_I2C_1               44U
#define SS_R_I2C_2               45U
#define SS_R_I2C_3               46U
#define SS_R_I2C_4               47U
#define SS_R_ADC_0               48U
#define SS_R_ADC_1               49U
#define SS_R_FTM_0               50U
#define SS_R_FTM_1               51U
#define SS_R_CAN_0               52U
#define SS_R_CAN_1               53U
#define SS_R_CAN_2               54U
#define SS_R_DMA_1_CH0           55U
#define SS_R_DMA_1_CH1           56U
#define SS_R_DMA_1_CH2           57U
#define SS_R_DMA_1_CH3           58U
#define SS_R_DMA_1_CH4           59U
#define SS_R_DMA_1_CH5           60U
#define SS_R_DMA_1_CH6           61U
#define SS_R_DMA_1_CH7           62U
#define SS_R_DMA_1_CH8           63U
#define SS_R_DMA_1_CH9           64U
#define SS_R_DMA_1_CH10          65U
#define SS_R_DMA_1_CH11          66U
#define SS_R_DMA_1_CH12          67U
#define SS_R_DMA_1_CH13          68U
#define SS_R_DMA_1_CH14          69U
#define SS_R_DMA_1_CH15          70U
#define SS_R_DMA_1_CH16          71U
#define SS_R_DMA_1_CH17          72U
#define SS_R_DMA_1_CH18          73U
#define SS_R_DMA_1_CH19          74U
#define SS_R_DMA_1_CH20          75U
#define SS_R_DMA_1_CH21          76U
#define SS_R_DMA_1_CH22          77U
#define SS_R_DMA_1_CH23          78U
#define SS_R_DMA_1_CH24          79U
#define SS_R_DMA_1_CH25          80U
#define SS_R_DMA_1_CH26          81U
#define SS_R_DMA_1_CH27          82U
#define SS_R_DMA_1_CH28          83U
#define SS_R_DMA_1_CH29          84U
#define SS_R_DMA_1_CH30          85U
#define SS_R_DMA_1_CH31          86U
/** @} */

#endif /* SC_SS_DMA_RSRC_H */

/** @} */

