/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2020 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

/*==========================================================================*/
/*!
 * @file
 *
 * Header file containing the entry points and debug resource strings
 * for the LSIO subsystem.
 *
 * @addtogroup LSIO_SS
 * @{
 */
/*==========================================================================*/

/* DO NOT EDIT - This file auto generated by bin/perl/config_ss_h.pl */

#ifndef SC_SS_LSIO_CONFIG_H
#define SC_SS_LSIO_CONFIG_H

/*!
 * This define defines the number of resources.
 */
#define SS_NUM_RSRC_LSIO 57U

/*! Define used to create subsystem function prototypes */
#define SS_FUNC_PROTO_LSIO \
    void ss_init_lsio(sc_sub_t ss, sc_bool_t api_phase); \
    sc_err_t ss_rsrc_reset_lsio(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t \
        rsrc_idx, sc_rm_pt_t pt, sc_bool_t pre); \
    void ss_mu_irq_lsio(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t rsrc_idx, \
        uint32_t mask); \
    sc_err_t ss_irq_enable_lsio(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t \
        rsrc_idx, sc_irq_group_t group, uint32_t mask, sc_bool_t enable); \
    sc_err_t ss_irq_status_lsio(sc_sub_t ss, ss_idx_t ss_idx, ss_ridx_t \
        rsrc_idx, sc_irq_group_t group, uint32_t *status); \
    void ss_irq_trigger_lsio(sc_sub_t ss, sc_irq_group_t group, uint32_t \
        irq, sc_rm_pt_t pt); \
    void ss_prepost_power_mode_lsio(sc_sub_t ss, dsc_pdom_t pd, \
        ss_prepost_t type, sc_pm_power_mode_t from_mode, sc_pm_power_mode_t \
        to_mode, sc_bool_t rom_boot); \


/*!
 * This define is used to override the default SS function entry points.
 * If this isn't defined, then the SS uses functions in base.
 */
#define SS_EP_INIT_LSIO \
    { \
        ss_init_lsio, \
        ss_trans_power_mode_base, \
        ss_rsrc_reset_lsio, \
        ss_set_cpu_power_mode_base, \
        ss_set_cpu_resume_base, \
        ss_req_sys_if_power_mode_base, \
        ss_set_clock_rate_base, \
        ss_get_clock_rate_base, \
        ss_clock_enable_base, \
        ss_force_clock_enable_base, \
        ss_set_clock_parent_base, \
        ss_get_clock_parent_base, \
        ss_is_rsrc_accessible_base, \
        ss_mu_irq_lsio, \
        ss_cpu_start_base, \
        ss_rdc_enable_base, \
        ss_rdc_set_master_base, \
        ss_rdc_set_peripheral_base, \
        ss_rdc_set_memory_base, \
        ss_set_control_base, \
        ss_get_control_base, \
        ss_irq_enable_lsio, \
        ss_irq_status_lsio, \
        ss_irq_trigger_lsio, \
        ss_dump_base, \
        ss_do_mem_repair_base, \
        ss_updown_base, \
        ss_prepost_power_mode_lsio, \
        ss_iso_disable_base, \
        ss_link_enable_base, \
        ss_ssi_power_base, \
        ss_ssi_bhole_mode_base, \
        ss_ssi_pause_mode_base, \
        ss_ssi_wait_idle_base, \
        ss_adb_enable_base, \
        ss_adb_wait_base, \
        ss_prepost_clock_mode_base, \
        ss_rdc_is_did_vld_base, \
    }

#ifdef DEBUG
    /*!
     * This define is used to name resources for debug output.
     */
    #define RNAME_INIT_LSIO_0 \
        "PWM_0", \
        "PWM_1", \
        "PWM_2", \
        "PWM_3", \
        "PWM_4", \
        "PWM_5", \
        "PWM_6", \
        "PWM_7", \
        "GPIO_0", \
        "GPIO_1", \
        "GPIO_2", \
        "GPIO_3", \
        "GPIO_4", \
        "GPIO_5", \
        "GPIO_6", \
        "GPIO_7", \
        "FSPI_0", \
        "FSPI_1", \
        "GPT_0", \
        "GPT_1", \
        "GPT_2", \
        "GPT_3", \
        "GPT_4", \
        "KPP", \
        "MU_0A", \
        "MU_1A", \
        "MU_2A", \
        "MU_3A", \
        "MU_4A", \
        "MU_5A", \
        "MU_6A", \
        "MU_7A", \
        "MU_8A", \
        "MU_9A", \
        "MU_10A", \
        "MU_11A", \
        "MU_12A", \
        "MU_13A", \
        "MU_5B", \
        "MU_6B", \
        "MU_7B", \
        "MU_8B", \
        "MU_9B", \
        "MU_10B", \
        "MU_11B", \
        "MU_12B", \
        "MU_13B", \
        "IEE", \
        "IEE_R0", \
        "IEE_R1", \
        "IEE_R2", \
        "IEE_R3", \
        "IEE_R4", \
        "IEE_R5", \
        "IEE_R6", \
        "IEE_R7", \
        "OCRAM", \

#endif

#endif /* SC_SS_LSIO_CONFIG_H */

/** @} */

