/*
** ###################################################################
**
**     Copyright (c) 2016 Freescale Semiconductor, Inc.
**     Copyright 2017-2019 NXP
**
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**
**     o Neither the name of the copyright holder nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**
**
** ###################################################################
*/

#ifndef IOMUXD_H
#define IOMUXD_H

#ifndef IOMUXD_REG_BASE
  #ifdef  SCU_RESOURCES
    #define IOMUXD_REG_BASE 0x41F80000U
  #else
    #define IOMUXD_REG_BASE 0x33F80000U
  #endif
#endif

                                                                                   //  NUM RING GROUP PAD |  0                                        | 1                                        | 2                                        | 3                                        | 4                                        | 5                                        | 6                                        | 7                                        |
#define IOMUXD__SIM0_CLK                         REG32(IOMUXD_REG_BASE+0x00000000U) //    0    0     0   0 |  DMA.SIM0.CLK                             |                                          |                                          | LSIO.GPIO0.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SIM0_RST                         REG32(IOMUXD_REG_BASE+0x00000040U) //    0    0     0   1 |  DMA.SIM0.RST                             |                                          |                                          | LSIO.GPIO0.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SIM0_IO                          REG32(IOMUXD_REG_BASE+0x00000080U) //    0    0     0   2 |  DMA.SIM0.IO                              |                                          |                                          | LSIO.GPIO0.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SIM0_PD                          REG32(IOMUXD_REG_BASE+0x000000C0U) //    0    0     0   3 |  DMA.SIM0.PD                              | DMA.I2C3.SCL                             |                                          | LSIO.GPIO0.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SIM0_POWER_EN                    REG32(IOMUXD_REG_BASE+0x00000100U) //    0    0     0   4 |  DMA.SIM0.POWER_EN                        | DMA.I2C3.SDA                             |                                          | LSIO.GPIO0.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SIM0_GPIO0_00                    REG32(IOMUXD_REG_BASE+0x00000140U) //    0    0     0   5 |  DMA.SIM0.POWER_EN                        |                                          |                                          | LSIO.GPIO0.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_SIM REG32(IOMUXD_REG_BASE+0x00000180U) //    0    0     0   6 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M40_I2C0_SCL                     REG32(IOMUXD_REG_BASE+0x000001C0U) //    0    0     0   7 |  M40.I2C0.SCL                             | M40.UART0.RX                             | M40.GPIO0.IO02                           | LSIO.GPIO0.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M40_I2C0_SDA                     REG32(IOMUXD_REG_BASE+0x00000200U) //    0    0     0   8 |  M40.I2C0.SDA                             | M40.UART0.TX                             | M40.GPIO0.IO03                           | LSIO.GPIO0.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M40_GPIO0_00                     REG32(IOMUXD_REG_BASE+0x00000240U) //    0    0     0   9 |  M40.GPIO0.IO00                           | M40.TPM0.CH0                             | DMA.UART4.RX                             | LSIO.GPIO0.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M40_GPIO0_01                     REG32(IOMUXD_REG_BASE+0x00000280U) //    0    0     0  10 |  M40.GPIO0.IO01                           | M40.TPM0.CH1                             | DMA.UART4.TX                             | LSIO.GPIO0.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M41_I2C0_SCL                     REG32(IOMUXD_REG_BASE+0x000002C0U) //    0    0     0  11 |  M41.I2C0.SCL                             | M41.UART0.RX                             | M41.GPIO0.IO02                           | LSIO.GPIO0.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M41_I2C0_SDA                     REG32(IOMUXD_REG_BASE+0x00000300U) //    0    0     0  12 |  M41.I2C0.SDA                             | M41.UART0.TX                             | M41.GPIO0.IO03                           | LSIO.GPIO0.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M41_GPIO0_00                     REG32(IOMUXD_REG_BASE+0x00000340U) //    0    0     0  13 |  M41.GPIO0.IO00                           | M41.TPM0.CH0                             | DMA.UART3.RX                             | LSIO.GPIO0.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__M41_GPIO0_01                     REG32(IOMUXD_REG_BASE+0x00000380U) //    0    0     0  14 |  M41.GPIO0.IO01                           | M41.TPM0.CH1                             | DMA.UART3.TX                             | LSIO.GPIO0.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT0_CLK                         REG32(IOMUXD_REG_BASE+0x00001000U) //    1    0     1   0 |  LSIO.GPT0.CLK                            | DMA.I2C1.SCL                             | LSIO.KPP0.COL4                           | LSIO.GPIO0.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT0_CAPTURE                     REG32(IOMUXD_REG_BASE+0x00001040U) //    1    0     1   1 |  LSIO.GPT0.CAPTURE                        | DMA.I2C1.SDA                             | LSIO.KPP0.COL5                           | LSIO.GPIO0.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT0_COMPARE                     REG32(IOMUXD_REG_BASE+0x00001080U) //    1    0     1   2 |  LSIO.GPT0.COMPARE                        | LSIO.PWM3.OUT                            | LSIO.KPP0.COL6                           | LSIO.GPIO0.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT1_CLK                         REG32(IOMUXD_REG_BASE+0x000010C0U) //    1    0     1   3 |  LSIO.GPT1.CLK                            | DMA.I2C2.SCL                             | LSIO.KPP0.COL7                           | LSIO.GPIO0.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT1_CAPTURE                     REG32(IOMUXD_REG_BASE+0x00001100U) //    1    0     1   4 |  LSIO.GPT1.CAPTURE                        | DMA.I2C2.SDA                             | LSIO.KPP0.ROW4                           | LSIO.GPIO0.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__GPT1_COMPARE                     REG32(IOMUXD_REG_BASE+0x00001140U) //    1    0     1   5 |  LSIO.GPT1.COMPARE                        | LSIO.PWM2.OUT                            | LSIO.KPP0.ROW5                           | LSIO.GPIO0.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART0_RX                         REG32(IOMUXD_REG_BASE+0x00001180U) //    1    0     1   6 |  DMA.UART0.RX                             | SCU.UART0.RX                             |                                          | LSIO.GPIO0.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART0_TX                         REG32(IOMUXD_REG_BASE+0x000011C0U) //    1    0     1   7 |  DMA.UART0.TX                             | SCU.UART0.TX                             |                                          | LSIO.GPIO0.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART0_RTS_B                      REG32(IOMUXD_REG_BASE+0x00001200U) //    1    0     1   8 |  DMA.UART0.RTS_B                          | LSIO.PWM0.OUT                            | DMA.UART2.RX                             | LSIO.GPIO0.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART0_CTS_B                      REG32(IOMUXD_REG_BASE+0x00001240U) //    1    0     1   9 |  DMA.UART0.CTS_B                          | LSIO.PWM1.OUT                            | DMA.UART2.TX                             | LSIO.GPIO0.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART1_TX                         REG32(IOMUXD_REG_BASE+0x00001280U) //    1    0     1  10 |  DMA.UART1.TX                             | DMA.SPI3.SCK                             |                                          | LSIO.GPIO0.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART1_RX                         REG32(IOMUXD_REG_BASE+0x000012C0U) //    1    0     1  11 |  DMA.UART1.RX                             | DMA.SPI3.SDO                             |                                          | LSIO.GPIO0.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART1_RTS_B                      REG32(IOMUXD_REG_BASE+0x00001300U) //    1    0     1  12 |  DMA.UART1.RTS_B                          | DMA.SPI3.SDI                             | DMA.UART1.CTS_B                          | LSIO.GPIO0.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__UART1_CTS_B                      REG32(IOMUXD_REG_BASE+0x00001340U) //    1    0     1  13 |  DMA.UART1.CTS_B                          | DMA.SPI3.CS0                             | DMA.UART1.RTS_B                          | LSIO.GPIO0.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIOLH REG32(IOMUXD_REG_BASE+0x00001380U) //    1    0     1  14 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_PMIC_MEMC_ON                 REG32(IOMUXD_REG_BASE+0x000013C0U) //    1    0     1  15 |  SCU.GPIO0.IOXX_PMIC_MEMC_ON              |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_WDOG_OUT                     REG32(IOMUXD_REG_BASE+0x00002000U) //    2    0     2   0 |  SCU.WDOG0.WDOG_OUT                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PMIC_I2C_SDA                     REG32(IOMUXD_REG_BASE+0x00002040U) //    2    0     2   1 |  SCU.PMIC_I2C.SDA                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PMIC_I2C_SCL                     REG32(IOMUXD_REG_BASE+0x00002080U) //    2    0     2   2 |  SCU.PMIC_I2C.SCL                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PMIC_EARLY_WARNING               REG32(IOMUXD_REG_BASE+0x000020C0U) //    2    0     2   3 |  SCU.PMIC_EARLY_WARNING                   |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PMIC_INT_B                       REG32(IOMUXD_REG_BASE+0x00002100U) //    2    0     2   4 |  SCU.DSC.PMIC_INT_B                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_00                     REG32(IOMUXD_REG_BASE+0x00002140U) //    2    0     2   5 |  SCU.GPIO0.IO00                           | SCU.UART0.RX                             |                                          | LSIO.GPIO0.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_01                     REG32(IOMUXD_REG_BASE+0x00002180U) //    2    0     2   6 |  SCU.GPIO0.IO01                           | SCU.UART0.TX                             |                                          | LSIO.GPIO0.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_02                     REG32(IOMUXD_REG_BASE+0x00003000U) //    3    0     3   0 |  SCU.GPIO0.IO02                           | SCU.GPIO0.IOXX_PMIC_GPU0_ON              |                                          | LSIO.GPIO0.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_03                     REG32(IOMUXD_REG_BASE+0x00003040U) //    3    0     3   1 |  SCU.GPIO0.IO03                           | SCU.GPIO0.IOXX_PMIC_GPU1_ON              |                                          | LSIO.GPIO0.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_04                     REG32(IOMUXD_REG_BASE+0x00003080U) //    3    0     3   2 |  SCU.GPIO0.IO04                           | SCU.GPIO0.IOXX_PMIC_A72_ON               |                                          | LSIO.GPIO1.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_05                     REG32(IOMUXD_REG_BASE+0x000030C0U) //    3    0     3   3 |  SCU.GPIO0.IO05                           | SCU.GPIO0.IOXX_PMIC_A53_ON               |                                          | LSIO.GPIO1.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_06                     REG32(IOMUXD_REG_BASE+0x00003100U) //    3    0     3   4 |  SCU.GPIO0.IO06                           | SCU.TPM0.CH0                             |                                          | LSIO.GPIO1.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_GPIO0_07                     REG32(IOMUXD_REG_BASE+0x00003140U) //    3    0     3   5 |  SCU.GPIO0.IO07                           | SCU.TPM0.CH1                             | SCU.DSC.RTC_CLOCK_OUTPUT_32K             | LSIO.GPIO1.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE0                   REG32(IOMUXD_REG_BASE+0x00003180U) //    3    0     3   6 |  SCU.DSC.BOOT_MODE0                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE1                   REG32(IOMUXD_REG_BASE+0x000031C0U) //    3    0     3   7 |  SCU.DSC.BOOT_MODE1                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE2                   REG32(IOMUXD_REG_BASE+0x00003200U) //    3    0     3   8 |  SCU.DSC.BOOT_MODE2                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE3                   REG32(IOMUXD_REG_BASE+0x00003240U) //    3    0     3   9 |  SCU.DSC.BOOT_MODE3                       |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE4                   REG32(IOMUXD_REG_BASE+0x00003280U) //    3    0     3  10 |  SCU.DSC.BOOT_MODE4                       | SCU.PMIC_I2C.SCL                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SCU_BOOT_MODE5                   REG32(IOMUXD_REG_BASE+0x000032C0U) //    3    0     3  11 |  SCU.DSC.BOOT_MODE5                       | SCU.PMIC_I2C.SDA                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_GPIO00                     REG32(IOMUXD_REG_BASE+0x00004000U) //    4    0     4   0 |  LVDS0.GPIO0.IO00                         | LVDS0.PWM0.OUT                           |                                          | LSIO.GPIO1.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_GPIO01                     REG32(IOMUXD_REG_BASE+0x00004040U) //    4    0     4   1 |  LVDS0.GPIO0.IO01                         |                                          |                                          | LSIO.GPIO1.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_I2C0_SCL                   REG32(IOMUXD_REG_BASE+0x00004080U) //    4    0     4   2 |  LVDS0.I2C0.SCL                           | LVDS0.GPIO0.IO02                         |                                          | LSIO.GPIO1.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_I2C0_SDA                   REG32(IOMUXD_REG_BASE+0x000040C0U) //    4    0     4   3 |  LVDS0.I2C0.SDA                           | LVDS0.GPIO0.IO03                         |                                          | LSIO.GPIO1.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_I2C1_SCL                   REG32(IOMUXD_REG_BASE+0x00004100U) //    4    0     4   4 |  LVDS0.I2C1.SCL                           | DMA.UART2.TX                             |                                          | LSIO.GPIO1.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS0_I2C1_SDA                   REG32(IOMUXD_REG_BASE+0x00004140U) //    4    0     4   5 |  LVDS0.I2C1.SDA                           | DMA.UART2.RX                             |                                          | LSIO.GPIO1.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_GPIO00                     REG32(IOMUXD_REG_BASE+0x00004180U) //    4    0     4   6 |  LVDS1.GPIO0.IO00                         | LVDS1.PWM0.OUT                           |                                          | LSIO.GPIO1.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_GPIO01                     REG32(IOMUXD_REG_BASE+0x000041C0U) //    4    0     4   7 |  LVDS1.GPIO0.IO01                         |                                          |                                          | LSIO.GPIO1.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_I2C0_SCL                   REG32(IOMUXD_REG_BASE+0x00004200U) //    4    0     4   8 |  LVDS1.I2C0.SCL                           | LVDS1.GPIO0.IO02                         |                                          | LSIO.GPIO1.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_I2C0_SDA                   REG32(IOMUXD_REG_BASE+0x00004240U) //    4    0     4   9 |  LVDS1.I2C0.SDA                           | LVDS1.GPIO0.IO03                         |                                          | LSIO.GPIO1.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_I2C1_SCL                   REG32(IOMUXD_REG_BASE+0x00004280U) //    4    0     4  10 |  LVDS1.I2C1.SCL                           | DMA.UART3.TX                             |                                          | LSIO.GPIO1.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__LVDS1_I2C1_SDA                   REG32(IOMUXD_REG_BASE+0x000042C0U) //    4    0     4  11 |  LVDS1.I2C1.SDA                           | DMA.UART3.RX                             |                                          | LSIO.GPIO1.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_LVDSGPIO REG32(IOMUXD_REG_BASE+0x00004300U) //    4    0     4  12 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI0_I2C0_SCL               REG32(IOMUXD_REG_BASE+0x00020000U) //    5    1     0   0 |  MIPI_DSI0.I2C0.SCL                       |                                          |                                          | LSIO.GPIO1.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI0_I2C0_SDA               REG32(IOMUXD_REG_BASE+0x00020040U) //    5    1     0   1 |  MIPI_DSI0.I2C0.SDA                       |                                          |                                          | LSIO.GPIO1.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI0_GPIO0_00               REG32(IOMUXD_REG_BASE+0x00020080U) //    5    1     0   2 |  MIPI_DSI0.GPIO0.IO00                     | MIPI_DSI0.PWM0.OUT                       |                                          | LSIO.GPIO1.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI0_GPIO0_01               REG32(IOMUXD_REG_BASE+0x000200C0U) //    5    1     0   3 |  MIPI_DSI0.GPIO0.IO01                     |                                          |                                          | LSIO.GPIO1.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI1_I2C0_SCL               REG32(IOMUXD_REG_BASE+0x00020100U) //    5    1     0   4 |  MIPI_DSI1.I2C0.SCL                       |                                          |                                          | LSIO.GPIO1.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI1_I2C0_SDA               REG32(IOMUXD_REG_BASE+0x00020140U) //    5    1     0   5 |  MIPI_DSI1.I2C0.SDA                       |                                          |                                          | LSIO.GPIO1.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI1_GPIO0_00               REG32(IOMUXD_REG_BASE+0x00020180U) //    5    1     0   6 |  MIPI_DSI1.GPIO0.IO00                     | MIPI_DSI1.PWM0.OUT                       |                                          | LSIO.GPIO1.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_DSI1_GPIO0_01               REG32(IOMUXD_REG_BASE+0x000201C0U) //    5    1     0   7 |  MIPI_DSI1.GPIO0.IO01                     |                                          |                                          | LSIO.GPIO1.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_MIPIDSIGPIO REG32(IOMUXD_REG_BASE+0x00020200U) //    5    1     0   8 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI0_MCLK_OUT               REG32(IOMUXD_REG_BASE+0x00021000U) //    6    1     1   0 |  MIPI_CSI0.ACM.MCLK_OUT                   |                                          |                                          | LSIO.GPIO1.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI0_I2C0_SCL               REG32(IOMUXD_REG_BASE+0x00021040U) //    6    1     1   1 |  MIPI_CSI0.I2C0.SCL                       |                                          |                                          | LSIO.GPIO1.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI0_I2C0_SDA               REG32(IOMUXD_REG_BASE+0x00021080U) //    6    1     1   2 |  MIPI_CSI0.I2C0.SDA                       |                                          |                                          | LSIO.GPIO1.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI0_GPIO0_00               REG32(IOMUXD_REG_BASE+0x000210C0U) //    6    1     1   3 |  MIPI_CSI0.GPIO0.IO00                     | DMA.I2C0.SCL                             | MIPI_CSI1.I2C0.SCL                       | LSIO.GPIO1.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI0_GPIO0_01               REG32(IOMUXD_REG_BASE+0x00021100U) //    6    1     1   4 |  MIPI_CSI0.GPIO0.IO01                     | DMA.I2C0.SDA                             | MIPI_CSI1.I2C0.SDA                       | LSIO.GPIO1.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI1_MCLK_OUT               REG32(IOMUXD_REG_BASE+0x00021140U) //    6    1     1   5 |  MIPI_CSI1.ACM.MCLK_OUT                   |                                          |                                          | LSIO.GPIO1.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI1_GPIO0_00               REG32(IOMUXD_REG_BASE+0x00021180U) //    6    1     1   6 |  MIPI_CSI1.GPIO0.IO00                     | DMA.UART4.RX                             |                                          | LSIO.GPIO1.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI1_GPIO0_01               REG32(IOMUXD_REG_BASE+0x000211C0U) //    6    1     1   7 |  MIPI_CSI1.GPIO0.IO01                     | DMA.UART4.TX                             |                                          | LSIO.GPIO1.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI1_I2C0_SCL               REG32(IOMUXD_REG_BASE+0x00021200U) //    6    1     1   8 |  MIPI_CSI1.I2C0.SCL                       |                                          |                                          | LSIO.GPIO2.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MIPI_CSI1_I2C0_SDA               REG32(IOMUXD_REG_BASE+0x00021240U) //    6    1     1   9 |  MIPI_CSI1.I2C0.SDA                       |                                          |                                          | LSIO.GPIO2.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__HDMI_TX0_TS_SCL                  REG32(IOMUXD_REG_BASE+0x00021280U) //    6    1     1  10 |  HDMI_TX0.I2C0.SCL                        | DMA.I2C0.SCL                             |                                          | LSIO.GPIO2.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__HDMI_TX0_TS_SDA                  REG32(IOMUXD_REG_BASE+0x000212C0U) //    6    1     1  11 |  HDMI_TX0.I2C0.SDA                        | DMA.I2C0.SDA                             |                                          | LSIO.GPIO2.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_3V3_HDMIGPIO REG32(IOMUXD_REG_BASE+0x00021300U) //    6    1     1  12 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_FSR                        REG32(IOMUXD_REG_BASE+0x00022000U) //    7    1     2   0 |  AUD.ESAI1.FSR                            |                                          |                                          | LSIO.GPIO2.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_FST                        REG32(IOMUXD_REG_BASE+0x00022040U) //    7    1     2   1 |  AUD.ESAI1.FST                            | AUD.SPDIF0.EXT_CLK                       |                                          | LSIO.GPIO2.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_SCKR                       REG32(IOMUXD_REG_BASE+0x00022080U) //    7    1     2   2 |  AUD.ESAI1.SCKR                           |                                          |                                          | LSIO.GPIO2.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_SCKT                       REG32(IOMUXD_REG_BASE+0x000220C0U) //    7    1     2   3 |  AUD.ESAI1.SCKT                           | AUD.SAI2.RXC                             | AUD.SPDIF0.EXT_CLK                       | LSIO.GPIO2.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX0                        REG32(IOMUXD_REG_BASE+0x00022100U) //    7    1     2   4 |  AUD.ESAI1.TX0                            | AUD.SAI2.RXD                             | AUD.SPDIF0.RX                            | LSIO.GPIO2.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX1                        REG32(IOMUXD_REG_BASE+0x00022140U) //    7    1     2   5 |  AUD.ESAI1.TX1                            | AUD.SAI2.RXFS                            | AUD.SPDIF0.TX                            | LSIO.GPIO2.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX2_RX3                    REG32(IOMUXD_REG_BASE+0x00022180U) //    7    1     2   6 |  AUD.ESAI1.TX2_RX3                        | AUD.SPDIF0.RX                            |                                          | LSIO.GPIO2.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX3_RX2                    REG32(IOMUXD_REG_BASE+0x000221C0U) //    7    1     2   7 |  AUD.ESAI1.TX3_RX2                        | AUD.SPDIF0.TX                            |                                          | LSIO.GPIO2.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX4_RX1                    REG32(IOMUXD_REG_BASE+0x00022200U) //    7    1     2   8 |  AUD.ESAI1.TX4_RX1                        |                                          |                                          | LSIO.GPIO2.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI1_TX5_RX0                    REG32(IOMUXD_REG_BASE+0x00022240U) //    7    1     2   9 |  AUD.ESAI1.TX5_RX0                        |                                          |                                          | LSIO.GPIO2.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPDIF0_RX                        REG32(IOMUXD_REG_BASE+0x00022280U) //    7    1     2  10 |  AUD.SPDIF0.RX                            | AUD.MQS.R                                | AUD.ACM.MCLK_IN1                         | LSIO.GPIO2.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPDIF0_TX                        REG32(IOMUXD_REG_BASE+0x000222C0U) //    7    1     2  11 |  AUD.SPDIF0.TX                            | AUD.MQS.L                                | AUD.ACM.MCLK_OUT1                        | LSIO.GPIO2.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPDIF0_EXT_CLK                   REG32(IOMUXD_REG_BASE+0x00022300U) //    7    1     2  12 |  AUD.SPDIF0.EXT_CLK                       | DMA.DMA0.REQ_IN0                         |                                          | LSIO.GPIO2.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI3_SCK                         REG32(IOMUXD_REG_BASE+0x00022340U) //    7    1     2  13 |  DMA.SPI3.SCK                             |                                          |                                          | LSIO.GPIO2.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI3_SDO                         REG32(IOMUXD_REG_BASE+0x00022380U) //    7    1     2  14 |  DMA.SPI3.SDO                             | DMA.FTM.CH0                              |                                          | LSIO.GPIO2.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI3_SDI                         REG32(IOMUXD_REG_BASE+0x00023000U) //    8    1     3   0 |  DMA.SPI3.SDI                             | DMA.FTM.CH1                              |                                          | LSIO.GPIO2.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI3_CS0                         REG32(IOMUXD_REG_BASE+0x00023040U) //    8    1     3   1 |  DMA.SPI3.CS0                             | DMA.FTM.CH2                              |                                          | LSIO.GPIO2.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI3_CS1                         REG32(IOMUXD_REG_BASE+0x00023080U) //    8    1     3   2 |  DMA.SPI3.CS1                             |                                          |                                          | LSIO.GPIO2.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIORHB REG32(IOMUXD_REG_BASE+0x000230C0U) //    8    1     3   3 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_FSR                        REG32(IOMUXD_REG_BASE+0x00023100U) //    8    1     3   4 |  AUD.ESAI0.FSR                            |                                          |                                          | LSIO.GPIO2.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_FST                        REG32(IOMUXD_REG_BASE+0x00023140U) //    8    1     3   5 |  AUD.ESAI0.FST                            |                                          |                                          | LSIO.GPIO2.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_SCKR                       REG32(IOMUXD_REG_BASE+0x00023180U) //    8    1     3   6 |  AUD.ESAI0.SCKR                           |                                          |                                          | LSIO.GPIO2.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_SCKT                       REG32(IOMUXD_REG_BASE+0x000231C0U) //    8    1     3   7 |  AUD.ESAI0.SCKT                           |                                          |                                          | LSIO.GPIO2.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX0                        REG32(IOMUXD_REG_BASE+0x00023200U) //    8    1     3   8 |  AUD.ESAI0.TX0                            |                                          |                                          | LSIO.GPIO2.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX1                        REG32(IOMUXD_REG_BASE+0x00023240U) //    8    1     3   9 |  AUD.ESAI0.TX1                            |                                          |                                          | LSIO.GPIO2.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX2_RX3                    REG32(IOMUXD_REG_BASE+0x00023280U) //    8    1     3  10 |  AUD.ESAI0.TX2_RX3                        |                                          |                                          | LSIO.GPIO2.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX3_RX2                    REG32(IOMUXD_REG_BASE+0x000232C0U) //    8    1     3  11 |  AUD.ESAI0.TX3_RX2                        |                                          |                                          | LSIO.GPIO2.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX4_RX1                    REG32(IOMUXD_REG_BASE+0x00023300U) //    8    1     3  12 |  AUD.ESAI0.TX4_RX1                        |                                          |                                          | LSIO.GPIO2.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ESAI0_TX5_RX0                    REG32(IOMUXD_REG_BASE+0x00023340U) //    8    1     3  13 |  AUD.ESAI0.TX5_RX0                        |                                          |                                          | LSIO.GPIO2.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MCLK_IN0                         REG32(IOMUXD_REG_BASE+0x00023380U) //    8    1     3  14 |  AUD.ACM.MCLK_IN0                         | AUD.ESAI0.RX_HF_CLK                      | AUD.ESAI1.RX_HF_CLK                      | LSIO.GPIO3.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MCLK_OUT0                        REG32(IOMUXD_REG_BASE+0x00024000U) //    9    1     4   0 |  AUD.ACM.MCLK_OUT0                        | AUD.ESAI0.TX_HF_CLK                      | AUD.ESAI1.TX_HF_CLK                      | LSIO.GPIO3.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIORHC REG32(IOMUXD_REG_BASE+0x00024040U) //    9    1     4   1 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI0_SCK                         REG32(IOMUXD_REG_BASE+0x00024080U) //    9    1     4   2 |  DMA.SPI0.SCK                             | AUD.SAI0.RXC                             |                                          | LSIO.GPIO3.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI0_SDO                         REG32(IOMUXD_REG_BASE+0x000240C0U) //    9    1     4   3 |  DMA.SPI0.SDO                             | AUD.SAI0.TXD                             |                                          | LSIO.GPIO3.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI0_SDI                         REG32(IOMUXD_REG_BASE+0x00024100U) //    9    1     4   4 |  DMA.SPI0.SDI                             | AUD.SAI0.RXD                             |                                          | LSIO.GPIO3.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI0_CS0                         REG32(IOMUXD_REG_BASE+0x00024140U) //    9    1     4   5 |  DMA.SPI0.CS0                             | AUD.SAI0.RXFS                            |                                          | LSIO.GPIO3.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI0_CS1                         REG32(IOMUXD_REG_BASE+0x00024180U) //    9    1     4   6 |  DMA.SPI0.CS1                             | AUD.SAI0.TXC                             |                                          | LSIO.GPIO3.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI2_SCK                         REG32(IOMUXD_REG_BASE+0x000241C0U) //    9    1     4   7 |  DMA.SPI2.SCK                             |                                          |                                          | LSIO.GPIO3.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI2_SDO                         REG32(IOMUXD_REG_BASE+0x00024200U) //    9    1     4   8 |  DMA.SPI2.SDO                             |                                          |                                          | LSIO.GPIO3.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI2_SDI                         REG32(IOMUXD_REG_BASE+0x00024240U) //    9    1     4   9 |  DMA.SPI2.SDI                             |                                          |                                          | LSIO.GPIO3.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI2_CS0                         REG32(IOMUXD_REG_BASE+0x00024280U) //    9    1     4  10 |  DMA.SPI2.CS0                             |                                          |                                          | LSIO.GPIO3.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SPI2_CS1                         REG32(IOMUXD_REG_BASE+0x000242C0U) //    9    1     4  11 |  DMA.SPI2.CS1                             | AUD.SAI0.TXFS                            |                                          | LSIO.GPIO3.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_RXC                         REG32(IOMUXD_REG_BASE+0x00024300U) //    9    1     4  12 |  AUD.SAI1.RXC                             | AUD.SAI0.TXD                             |                                          | LSIO.GPIO3.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_RXD                         REG32(IOMUXD_REG_BASE+0x00024340U) //    9    1     4  13 |  AUD.SAI1.RXD                             | AUD.SAI0.TXFS                            |                                          | LSIO.GPIO3.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_RXFS                        REG32(IOMUXD_REG_BASE+0x00024380U) //    9    1     4  14 |  AUD.SAI1.RXFS                            | AUD.SAI0.RXD                             |                                          | LSIO.GPIO3.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_TXC                         REG32(IOMUXD_REG_BASE+0x00025000U) //   10    1     5   0 |  AUD.SAI1.TXC                             | AUD.SAI0.TXC                             |                                          | LSIO.GPIO3.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_TXD                         REG32(IOMUXD_REG_BASE+0x00025040U) //   10    1     5   1 |  AUD.SAI1.TXD                             | AUD.SAI1.RXC                             |                                          | LSIO.GPIO3.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__SAI1_TXFS                        REG32(IOMUXD_REG_BASE+0x00025080U) //   10    1     5   2 |  AUD.SAI1.TXFS                            | AUD.SAI1.RXFS                            |                                          | LSIO.GPIO3.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIORHT REG32(IOMUXD_REG_BASE+0x000250C0U) //   10    1     5   3 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN7                          REG32(IOMUXD_REG_BASE+0x00025100U) //   10    1     5   4 |  DMA.ADC1.IN3                             | DMA.SPI1.CS1                             | LSIO.KPP0.ROW3                           | LSIO.GPIO3.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN6                          REG32(IOMUXD_REG_BASE+0x00025140U) //   10    1     5   5 |  DMA.ADC1.IN2                             | DMA.SPI1.CS0                             | LSIO.KPP0.ROW2                           | LSIO.GPIO3.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN5                          REG32(IOMUXD_REG_BASE+0x00025180U) //   10    1     5   6 |  DMA.ADC1.IN1                             | DMA.SPI1.SDI                             | LSIO.KPP0.ROW1                           | LSIO.GPIO3.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN4                          REG32(IOMUXD_REG_BASE+0x000251C0U) //   10    1     5   7 |  DMA.ADC1.IN0                             | DMA.SPI1.SDO                             | LSIO.KPP0.ROW0                           | LSIO.GPIO3.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN3                          REG32(IOMUXD_REG_BASE+0x00025200U) //   10    1     5   8 |  DMA.ADC0.IN3                             | DMA.SPI1.SCK                             | LSIO.KPP0.COL3                           | LSIO.GPIO3.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN2                          REG32(IOMUXD_REG_BASE+0x00025240U) //   10    1     5   9 |  DMA.ADC0.IN2                             |                                          | LSIO.KPP0.COL2                           | LSIO.GPIO3.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN1                          REG32(IOMUXD_REG_BASE+0x00025280U) //   10    1     5  10 |  DMA.ADC0.IN1                             |                                          | LSIO.KPP0.COL1                           | LSIO.GPIO3.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ADC_IN0                          REG32(IOMUXD_REG_BASE+0x000252C0U) //   10    1     5  11 |  DMA.ADC0.IN0                             |                                          | LSIO.KPP0.COL0                           | LSIO.GPIO3.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MLB_SIG                          REG32(IOMUXD_REG_BASE+0x00040000U) //   11    2     0   0 |  CONN.MLB.SIG                             | AUD.SAI3.RXC                             |                                          | LSIO.GPIO3.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MLB_CLK                          REG32(IOMUXD_REG_BASE+0x00040040U) //   11    2     0   1 |  CONN.MLB.CLK                             | AUD.SAI3.RXFS                            |                                          | LSIO.GPIO3.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__MLB_DATA                         REG32(IOMUXD_REG_BASE+0x00040080U) //   11    2     0   2 |  CONN.MLB.DATA                            | AUD.SAI3.RXD                             |                                          | LSIO.GPIO3.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIOLHT REG32(IOMUXD_REG_BASE+0x000400C0U) //   11    2     0   3 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN0_RX                      REG32(IOMUXD_REG_BASE+0x00040100U) //   11    2     0   4 |  DMA.FLEXCAN0.RX                          |                                          |                                          | LSIO.GPIO3.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN0_TX                      REG32(IOMUXD_REG_BASE+0x00040140U) //   11    2     0   5 |  DMA.FLEXCAN0.TX                          |                                          |                                          | LSIO.GPIO3.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN1_RX                      REG32(IOMUXD_REG_BASE+0x00040180U) //   11    2     0   6 |  DMA.FLEXCAN1.RX                          |                                          |                                          | LSIO.GPIO3.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN1_TX                      REG32(IOMUXD_REG_BASE+0x000401C0U) //   11    2     0   7 |  DMA.FLEXCAN1.TX                          |                                          |                                          | LSIO.GPIO4.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN2_RX                      REG32(IOMUXD_REG_BASE+0x00040200U) //   11    2     0   8 |  DMA.FLEXCAN2.RX                          |                                          |                                          | LSIO.GPIO4.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__FLEXCAN2_TX                      REG32(IOMUXD_REG_BASE+0x00040240U) //   11    2     0   9 |  DMA.FLEXCAN2.TX                          |                                          |                                          | LSIO.GPIO4.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIOTHR REG32(IOMUXD_REG_BASE+0x00040280U) //   11    2     0  10 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_SS3_TC0                      REG32(IOMUXD_REG_BASE+0x000402C0U) //   11    2     0  11 |  DMA.I2C1.SCL                             | CONN.USB_OTG1.PWR                        |                                          | LSIO.GPIO4.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_SS3_TC1                      REG32(IOMUXD_REG_BASE+0x00040300U) //   11    2     0  12 |  DMA.I2C1.SCL                             | CONN.USB_OTG2.PWR                        |                                          | LSIO.GPIO4.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_SS3_TC2                      REG32(IOMUXD_REG_BASE+0x00040340U) //   11    2     0  13 |  DMA.I2C1.SDA                             | CONN.USB_OTG1.OC                         |                                          | LSIO.GPIO4.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_SS3_TC3                      REG32(IOMUXD_REG_BASE+0x00040380U) //   11    2     0  14 |  DMA.I2C1.SDA                             | CONN.USB_OTG2.OC                         |                                          | LSIO.GPIO4.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_3V3_USB3IO  REG32(IOMUXD_REG_BASE+0x000403C0U) //   11    2     0  15 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_RESET_B                   REG32(IOMUXD_REG_BASE+0x00041000U) //   12    2     1   0 |  CONN.USDHC1.RESET_B                      |                                          |                                          | LSIO.GPIO4.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_VSELECT                   REG32(IOMUXD_REG_BASE+0x00041040U) //   12    2     1   1 |  CONN.USDHC1.VSELECT                      |                                          |                                          | LSIO.GPIO4.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_RESET_B                   REG32(IOMUXD_REG_BASE+0x00041080U) //   12    2     1   2 |  CONN.USDHC2.RESET_B                      |                                          |                                          | LSIO.GPIO4.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_VSELECT                   REG32(IOMUXD_REG_BASE+0x000410C0U) //   12    2     1   3 |  CONN.USDHC2.VSELECT                      |                                          |                                          | LSIO.GPIO4.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_WP                        REG32(IOMUXD_REG_BASE+0x00041100U) //   12    2     1   4 |  CONN.USDHC2.WP                           |                                          |                                          | LSIO.GPIO4.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_CD_B                      REG32(IOMUXD_REG_BASE+0x00041140U) //   12    2     1   5 |  CONN.USDHC2.CD_B                         |                                          |                                          | LSIO.GPIO4.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_VSELSEP REG32(IOMUXD_REG_BASE+0x00041180U) //   12    2     1   6 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_MDIO                       REG32(IOMUXD_REG_BASE+0x000411C0U) //   12    2     1   7 |  CONN.ENET0.MDIO                          | DMA.I2C4.SDA                             |                                          | LSIO.GPIO4.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_MDC                        REG32(IOMUXD_REG_BASE+0x00041200U) //   12    2     1   8 |  CONN.ENET0.MDC                           | DMA.I2C4.SCL                             |                                          | LSIO.GPIO4.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_REFCLK_125M_25M            REG32(IOMUXD_REG_BASE+0x00041240U) //   12    2     1   9 |  CONN.ENET0.REFCLK_125M_25M               | CONN.ENET0.PPS                           |                                          | LSIO.GPIO4.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_REFCLK_125M_25M            REG32(IOMUXD_REG_BASE+0x00041280U) //   12    2     1  10 |  CONN.ENET1.REFCLK_125M_25M               | CONN.ENET1.PPS                           |                                          | LSIO.GPIO4.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_MDIO                       REG32(IOMUXD_REG_BASE+0x000412C0U) //   12    2     1  11 |  CONN.ENET1.MDIO                          | DMA.I2C4.SDA                             |                                          | LSIO.GPIO4.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_MDC                        REG32(IOMUXD_REG_BASE+0x00041300U) //   12    2     1  12 |  CONN.ENET1.MDC                           | DMA.I2C4.SCL                             |                                          | LSIO.GPIO4.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_GPIOCT REG32(IOMUXD_REG_BASE+0x00041340U) //   12    2     1  13 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_SS0_B                     REG32(IOMUXD_REG_BASE+0x00041380U) //   12    2     1  14 |  LSIO.QSPI1A.SS0_B                        |                                          |                                          | LSIO.GPIO4.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_SS1_B                     REG32(IOMUXD_REG_BASE+0x00042000U) //   13    2     2   0 |  LSIO.QSPI1A.SS1_B                        | LSIO.QSPI1A.SCLK2                        |                                          | LSIO.GPIO4.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_SCLK                      REG32(IOMUXD_REG_BASE+0x00042040U) //   13    2     2   1 |  LSIO.QSPI1A.SCLK                         |                                          |                                          | LSIO.GPIO4.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_DQS                       REG32(IOMUXD_REG_BASE+0x00042080U) //   13    2     2   2 |  LSIO.QSPI1A.DQS                          |                                          |                                          | LSIO.GPIO4.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_DATA3                     REG32(IOMUXD_REG_BASE+0x000420C0U) //   13    2     2   3 |  LSIO.QSPI1A.DATA3                        | DMA.I2C1.SDA                             | CONN.USB_OTG1.OC                         | LSIO.GPIO4.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_DATA2                     REG32(IOMUXD_REG_BASE+0x00042100U) //   13    2     2   4 |  LSIO.QSPI1A.DATA2                        | DMA.I2C1.SCL                             | CONN.USB_OTG2.PWR                        | LSIO.GPIO4.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_DATA1                     REG32(IOMUXD_REG_BASE+0x00042140U) //   13    2     2   5 |  LSIO.QSPI1A.DATA1                        | DMA.I2C1.SDA                             | CONN.USB_OTG2.OC                         | LSIO.GPIO4.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI1A_DATA0                     REG32(IOMUXD_REG_BASE+0x00042180U) //   13    2     2   6 |  LSIO.QSPI1A.DATA0                        |                                          |                                          | LSIO.GPIO4.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_QSPI1 REG32(IOMUXD_REG_BASE+0x000421C0U) //   13    2     2   7 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_DATA0                     REG32(IOMUXD_REG_BASE+0x00043000U) //   14    2     3   0 |  LSIO.QSPI0A.DATA0                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_DATA1                     REG32(IOMUXD_REG_BASE+0x00043040U) //   14    2     3   1 |  LSIO.QSPI0A.DATA1                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_DATA2                     REG32(IOMUXD_REG_BASE+0x00043080U) //   14    2     3   2 |  LSIO.QSPI0A.DATA2                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_DATA3                     REG32(IOMUXD_REG_BASE+0x000430C0U) //   14    2     3   3 |  LSIO.QSPI0A.DATA3                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_DQS                       REG32(IOMUXD_REG_BASE+0x00043100U) //   14    2     3   4 |  LSIO.QSPI0A.DQS                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_SS0_B                     REG32(IOMUXD_REG_BASE+0x00043140U) //   14    2     3   5 |  LSIO.QSPI0A.SS0_B                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_SS1_B                     REG32(IOMUXD_REG_BASE+0x00043180U) //   14    2     3   6 |  LSIO.QSPI0A.SS1_B                        | LSIO.QSPI0A.SCLK2                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0A_SCLK                      REG32(IOMUXD_REG_BASE+0x000431C0U) //   14    2     3   7 |  LSIO.QSPI0A.SCLK                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_SCLK                      REG32(IOMUXD_REG_BASE+0x00043200U) //   14    2     3   8 |  LSIO.QSPI0B.SCLK                         |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_DATA0                     REG32(IOMUXD_REG_BASE+0x00043240U) //   14    2     3   9 |  LSIO.QSPI0B.DATA0                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_DATA1                     REG32(IOMUXD_REG_BASE+0x00043280U) //   14    2     3  10 |  LSIO.QSPI0B.DATA1                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_DATA2                     REG32(IOMUXD_REG_BASE+0x000432C0U) //   14    2     3  11 |  LSIO.QSPI0B.DATA2                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_DATA3                     REG32(IOMUXD_REG_BASE+0x00043300U) //   14    2     3  12 |  LSIO.QSPI0B.DATA3                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_DQS                       REG32(IOMUXD_REG_BASE+0x00043340U) //   14    2     3  13 |  LSIO.QSPI0B.DQS                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_SS0_B                     REG32(IOMUXD_REG_BASE+0x00043380U) //   14    2     3  14 |  LSIO.QSPI0B.SS0_B                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__QSPI0B_SS1_B                     REG32(IOMUXD_REG_BASE+0x00044000U) //   15    2     4   0 |  LSIO.QSPI0B.SS1_B                        | LSIO.QSPI0B.SCLK2                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_QSPI0 REG32(IOMUXD_REG_BASE+0x00044040U) //   15    2     4   1 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL0_CLKREQ_B              REG32(IOMUXD_REG_BASE+0x00044080U) //   15    2     4   2 |  HSIO.PCIE0.CLKREQ_B                      |                                          |                                          | LSIO.GPIO4.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL0_WAKE_B                REG32(IOMUXD_REG_BASE+0x000440C0U) //   15    2     4   3 |  HSIO.PCIE0.WAKE_B                        |                                          |                                          | LSIO.GPIO4.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL0_PERST_B               REG32(IOMUXD_REG_BASE+0x00044100U) //   15    2     4   4 |  HSIO.PCIE0.PERST_B                       |                                          |                                          | LSIO.GPIO4.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL1_CLKREQ_B              REG32(IOMUXD_REG_BASE+0x00044140U) //   15    2     4   5 |  HSIO.PCIE1.CLKREQ_B                      | DMA.I2C1.SDA                             | CONN.USB_OTG2.OC                         | LSIO.GPIO4.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL1_WAKE_B                REG32(IOMUXD_REG_BASE+0x00044180U) //   15    2     4   6 |  HSIO.PCIE1.WAKE_B                        | DMA.I2C1.SCL                             | CONN.USB_OTG2.PWR                        | LSIO.GPIO4.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__PCIE_CTRL1_PERST_B               REG32(IOMUXD_REG_BASE+0x000441C0U) //   15    2     4   7 |  HSIO.PCIE1.PERST_B                       | DMA.I2C1.SCL                             | CONN.USB_OTG1.PWR                        | LSIO.GPIO5.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_PCIESEP REG32(IOMUXD_REG_BASE+0x00044200U) //   15    2     4   8 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_HSIC0_DATA                   REG32(IOMUXD_REG_BASE+0x00045000U) //   16    2     5   0 |  CONN.USB_HSIC0.DATA                      | DMA.I2C1.SDA                             |                                          | LSIO.GPIO5.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USB_HSIC0_STROBE                 REG32(IOMUXD_REG_BASE+0x00045040U) //   16    2     5   1 |  CONN.USB_HSIC0.STROBE                    | DMA.I2C1.SCL                             |                                          | LSIO.GPIO5.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_CALIBRATION_0_HSIC        REG32(IOMUXD_REG_BASE+0x00045080U) //   16    2     5   2 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_CALIBRATION_1_HSIC        REG32(IOMUXD_REG_BASE+0x000450C0U) //   16    2     5   3 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_CLK                        REG32(IOMUXD_REG_BASE+0x00060000U) //   17    3     0   0 |  CONN.EMMC0.CLK                           | CONN.NAND.READY_B                        |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_CMD                        REG32(IOMUXD_REG_BASE+0x00060040U) //   17    3     0   1 |  CONN.EMMC0.CMD                           | CONN.NAND.DQS                            | AUD.MQS.R                                | LSIO.GPIO5.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA0                      REG32(IOMUXD_REG_BASE+0x00060080U) //   17    3     0   2 |  CONN.EMMC0.DATA0                         | CONN.NAND.DATA00                         |                                          | LSIO.GPIO5.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA1                      REG32(IOMUXD_REG_BASE+0x000600C0U) //   17    3     0   3 |  CONN.EMMC0.DATA1                         | CONN.NAND.DATA01                         |                                          | LSIO.GPIO5.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA2                      REG32(IOMUXD_REG_BASE+0x00060100U) //   17    3     0   4 |  CONN.EMMC0.DATA2                         | CONN.NAND.DATA02                         |                                          | LSIO.GPIO5.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA3                      REG32(IOMUXD_REG_BASE+0x00060140U) //   17    3     0   5 |  CONN.EMMC0.DATA3                         | CONN.NAND.DATA03                         |                                          | LSIO.GPIO5.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA4                      REG32(IOMUXD_REG_BASE+0x00060180U) //   17    3     0   6 |  CONN.EMMC0.DATA4                         | CONN.NAND.DATA04                         |                                          | LSIO.GPIO5.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA5                      REG32(IOMUXD_REG_BASE+0x000601C0U) //   17    3     0   7 |  CONN.EMMC0.DATA5                         | CONN.NAND.DATA05                         |                                          | LSIO.GPIO5.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA6                      REG32(IOMUXD_REG_BASE+0x00060200U) //   17    3     0   8 |  CONN.EMMC0.DATA6                         | CONN.NAND.DATA06                         |                                          | LSIO.GPIO5.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_DATA7                      REG32(IOMUXD_REG_BASE+0x00060240U) //   17    3     0   9 |  CONN.EMMC0.DATA7                         | CONN.NAND.DATA07                         |                                          | LSIO.GPIO5.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_STROBE                     REG32(IOMUXD_REG_BASE+0x00060280U) //   17    3     0  10 |  CONN.EMMC0.STROBE                        | CONN.NAND.CLE                            |                                          | LSIO.GPIO5.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__EMMC0_RESET_B                    REG32(IOMUXD_REG_BASE+0x000602C0U) //   17    3     0  11 |  CONN.EMMC0.RESET_B                       | CONN.NAND.WP_B                           | CONN.USDHC1.VSELECT                      | LSIO.GPIO5.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_SD1FIX REG32(IOMUXD_REG_BASE+0x00060300U) //   17    3     0  12 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_CLK                       REG32(IOMUXD_REG_BASE+0x00060340U) //   17    3     0  13 |  CONN.USDHC1.CLK                          | AUD.MQS.R                                |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_CMD                       REG32(IOMUXD_REG_BASE+0x00060380U) //   17    3     0  14 |  CONN.USDHC1.CMD                          | AUD.MQS.L                                |                                          | LSIO.GPIO5.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA0                     REG32(IOMUXD_REG_BASE+0x000603C0U) //   17    3     0  15 |  CONN.USDHC1.DATA0                        | CONN.NAND.RE_N                           |                                          | LSIO.GPIO5.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA1                     REG32(IOMUXD_REG_BASE+0x00061000U) //   18    3     1   0 |  CONN.USDHC1.DATA1                        | CONN.NAND.RE_P                           |                                          | LSIO.GPIO5.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_CTL_NAND_RE_P_N           REG32(IOMUXD_REG_BASE+0x00061040U) //   18    3     1   1 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA2                     REG32(IOMUXD_REG_BASE+0x00061080U) //   18    3     1   2 |  CONN.USDHC1.DATA2                        | CONN.NAND.DQS_N                          |                                          | LSIO.GPIO5.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA3                     REG32(IOMUXD_REG_BASE+0x000610C0U) //   18    3     1   3 |  CONN.USDHC1.DATA3                        | CONN.NAND.DQS_P                          |                                          | LSIO.GPIO5.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_CTL_NAND_DQS_P_N          REG32(IOMUXD_REG_BASE+0x00061100U) //   18    3     1   4 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA4                     REG32(IOMUXD_REG_BASE+0x00061140U) //   18    3     1   5 |  CONN.USDHC1.DATA4                        | CONN.NAND.CE0_B                          | AUD.MQS.R                                | LSIO.GPIO5.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA5                     REG32(IOMUXD_REG_BASE+0x00061180U) //   18    3     1   6 |  CONN.USDHC1.DATA5                        | CONN.NAND.RE_B                           | AUD.MQS.L                                | LSIO.GPIO5.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA6                     REG32(IOMUXD_REG_BASE+0x000611C0U) //   18    3     1   7 |  CONN.USDHC1.DATA6                        | CONN.NAND.WE_B                           | CONN.USDHC1.WP                           | LSIO.GPIO5.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_DATA7                     REG32(IOMUXD_REG_BASE+0x00061200U) //   18    3     1   8 |  CONN.USDHC1.DATA7                        | CONN.NAND.ALE                            | CONN.USDHC1.CD_B                         | LSIO.GPIO5.IO22                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC1_STROBE                    REG32(IOMUXD_REG_BASE+0x00061240U) //   18    3     1   9 |  CONN.USDHC1.STROBE                       | CONN.NAND.CE1_B                          | CONN.USDHC1.RESET_B                      | LSIO.GPIO5.IO23                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_VSEL2 REG32(IOMUXD_REG_BASE+0x00061280U) //   18    3     1  10 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_CLK                       REG32(IOMUXD_REG_BASE+0x000612C0U) //   18    3     1  11 |  CONN.USDHC2.CLK                          | AUD.MQS.R                                |                                          | LSIO.GPIO5.IO24                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_CMD                       REG32(IOMUXD_REG_BASE+0x00061300U) //   18    3     1  12 |  CONN.USDHC2.CMD                          | AUD.MQS.L                                |                                          | LSIO.GPIO5.IO25                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_DATA0                     REG32(IOMUXD_REG_BASE+0x00061340U) //   18    3     1  13 |  CONN.USDHC2.DATA0                        | DMA.UART4.RX                             |                                          | LSIO.GPIO5.IO26                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_DATA1                     REG32(IOMUXD_REG_BASE+0x00061380U) //   18    3     1  14 |  CONN.USDHC2.DATA1                        | DMA.UART4.TX                             |                                          | LSIO.GPIO5.IO27                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_DATA2                     REG32(IOMUXD_REG_BASE+0x000613C0U) //   18    3     1  15 |  CONN.USDHC2.DATA2                        | DMA.UART4.CTS_B                          |                                          | LSIO.GPIO5.IO28                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__USDHC2_DATA3                     REG32(IOMUXD_REG_BASE+0x00062000U) //   19    3     2   0 |  CONN.USDHC2.DATA3                        | DMA.UART4.RTS_B                          |                                          | LSIO.GPIO5.IO29                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_VSEL3 REG32(IOMUXD_REG_BASE+0x00062040U) //   19    3     2   1 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TXC                  REG32(IOMUXD_REG_BASE+0x00062080U) //   19    3     2   2 |  CONN.ENET0.RGMII_TXC                     | CONN.ENET0.RCLK50M_OUT                   | CONN.ENET0.RCLK50M_IN                    | LSIO.GPIO5.IO30                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TX_CTL               REG32(IOMUXD_REG_BASE+0x000620C0U) //   19    3     2   3 |  CONN.ENET0.RGMII_TX_CTL                  |                                          |                                          | LSIO.GPIO5.IO31                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TXD0                 REG32(IOMUXD_REG_BASE+0x00062100U) //   19    3     2   4 |  CONN.ENET0.RGMII_TXD0                    |                                          |                                          | LSIO.GPIO6.IO00                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TXD1                 REG32(IOMUXD_REG_BASE+0x00062140U) //   19    3     2   5 |  CONN.ENET0.RGMII_TXD1                    |                                          |                                          | LSIO.GPIO6.IO01                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TXD2                 REG32(IOMUXD_REG_BASE+0x00062180U) //   19    3     2   6 |  CONN.ENET0.RGMII_TXD2                    | DMA.UART3.TX                             | VPU.TSI_S1.VID                           | LSIO.GPIO6.IO02                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_TXD3                 REG32(IOMUXD_REG_BASE+0x000621C0U) //   19    3     2   7 |  CONN.ENET0.RGMII_TXD3                    | DMA.UART3.RTS_B                          | VPU.TSI_S1.SYNC                          | LSIO.GPIO6.IO03                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RXC                  REG32(IOMUXD_REG_BASE+0x00062200U) //   19    3     2   8 |  CONN.ENET0.RGMII_RXC                     | DMA.UART3.CTS_B                          | VPU.TSI_S1.DATA                          | LSIO.GPIO6.IO04                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RX_CTL               REG32(IOMUXD_REG_BASE+0x00062240U) //   19    3     2   9 |  CONN.ENET0.RGMII_RX_CTL                  |                                          | VPU.TSI_S0.VID                           | LSIO.GPIO6.IO05                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RXD0                 REG32(IOMUXD_REG_BASE+0x00062280U) //   19    3     2  10 |  CONN.ENET0.RGMII_RXD0                    |                                          | VPU.TSI_S0.SYNC                          | LSIO.GPIO6.IO06                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RXD1                 REG32(IOMUXD_REG_BASE+0x000622C0U) //   19    3     2  11 |  CONN.ENET0.RGMII_RXD1                    |                                          | VPU.TSI_S0.DATA                          | LSIO.GPIO6.IO07                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RXD2                 REG32(IOMUXD_REG_BASE+0x00062300U) //   19    3     2  12 |  CONN.ENET0.RGMII_RXD2                    | CONN.ENET0.RMII_RX_ER                    | VPU.TSI_S0.CLK                           | LSIO.GPIO6.IO08                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET0_RGMII_RXD3                 REG32(IOMUXD_REG_BASE+0x00062340U) //   19    3     2  13 |  CONN.ENET0.RGMII_RXD3                    | DMA.UART3.RX                             | VPU.TSI_S1.CLK                           | LSIO.GPIO6.IO09                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_ENET_ENETB REG32(IOMUXD_REG_BASE+0x00062380U) //   19    3     2  14 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TXC                  REG32(IOMUXD_REG_BASE+0x000623C0U) //   19    3     2  15 |  CONN.ENET1.RGMII_TXC                     | CONN.ENET1.RCLK50M_OUT                   | CONN.ENET1.RCLK50M_IN                    | LSIO.GPIO6.IO10                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TX_CTL               REG32(IOMUXD_REG_BASE+0x00063000U) //   20    3     3   0 |  CONN.ENET1.RGMII_TX_CTL                  |                                          |                                          | LSIO.GPIO6.IO11                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TXD0                 REG32(IOMUXD_REG_BASE+0x00063040U) //   20    3     3   1 |  CONN.ENET1.RGMII_TXD0                    |                                          |                                          | LSIO.GPIO6.IO12                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TXD1                 REG32(IOMUXD_REG_BASE+0x00063080U) //   20    3     3   2 |  CONN.ENET1.RGMII_TXD1                    |                                          |                                          | LSIO.GPIO6.IO13                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TXD2                 REG32(IOMUXD_REG_BASE+0x000630C0U) //   20    3     3   3 |  CONN.ENET1.RGMII_TXD2                    | DMA.UART3.TX                             | VPU.TSI_S1.VID                           | LSIO.GPIO6.IO14                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_TXD3                 REG32(IOMUXD_REG_BASE+0x00063100U) //   20    3     3   4 |  CONN.ENET1.RGMII_TXD3                    | DMA.UART3.RTS_B                          | VPU.TSI_S1.SYNC                          | LSIO.GPIO6.IO15                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RXC                  REG32(IOMUXD_REG_BASE+0x00063140U) //   20    3     3   5 |  CONN.ENET1.RGMII_RXC                     | DMA.UART3.CTS_B                          | VPU.TSI_S1.DATA                          | LSIO.GPIO6.IO16                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RX_CTL               REG32(IOMUXD_REG_BASE+0x00063180U) //   20    3     3   6 |  CONN.ENET1.RGMII_RX_CTL                  |                                          | VPU.TSI_S0.VID                           | LSIO.GPIO6.IO17                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RXD0                 REG32(IOMUXD_REG_BASE+0x000631C0U) //   20    3     3   7 |  CONN.ENET1.RGMII_RXD0                    |                                          | VPU.TSI_S0.SYNC                          | LSIO.GPIO6.IO18                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RXD1                 REG32(IOMUXD_REG_BASE+0x00063200U) //   20    3     3   8 |  CONN.ENET1.RGMII_RXD1                    |                                          | VPU.TSI_S0.DATA                          | LSIO.GPIO6.IO19                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RXD2                 REG32(IOMUXD_REG_BASE+0x00063240U) //   20    3     3   9 |  CONN.ENET1.RGMII_RXD2                    | CONN.ENET1.RMII_RX_ER                    | VPU.TSI_S0.CLK                           | LSIO.GPIO6.IO20                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__ENET1_RGMII_RXD3                 REG32(IOMUXD_REG_BASE+0x00063280U) //   20    3     3  10 |  CONN.ENET1.RGMII_RXD3                    | DMA.UART3.RX                             | VPU.TSI_S1.CLK                           | LSIO.GPIO6.IO21                          |                                          |                                          |                                          |                                          |                                          |
#define IOMUXD__IOMUXD_COMP_CTL_GPIO_1V8_3V3_ENET_ENETA REG32(IOMUXD_REG_BASE+0x000632C0U) //   20    3     3  11 |                                           |                                          |                                          |                                          |                                          |                                          |                                          |                                          |                                          |

// GROUP REGISTERS FOR WAKEUP CONTROL
#define IOMUXD__GROUP_0_0                        REG32(IOMUXD_REG_BASE+0x00000400U) //    0    0     0   0 |          
#define IOMUXD__GROUP_0_1                        REG32(IOMUXD_REG_BASE+0x00001400U) //    1    0     1   0 |          
#define IOMUXD__GROUP_0_2                        REG32(IOMUXD_REG_BASE+0x00002400U) //    2    0     2   0 |          
#define IOMUXD__GROUP_0_3                        REG32(IOMUXD_REG_BASE+0x00003400U) //    3    0     3   0 |          
#define IOMUXD__GROUP_0_4                        REG32(IOMUXD_REG_BASE+0x00004400U) //    4    0     4   0 |          
#define IOMUXD__GROUP_1_0                        REG32(IOMUXD_REG_BASE+0x00020400U) //    5    1     0   0 |          
#define IOMUXD__GROUP_1_1                        REG32(IOMUXD_REG_BASE+0x00021400U) //    6    1     1   0 |          
#define IOMUXD__GROUP_1_2                        REG32(IOMUXD_REG_BASE+0x00022400U) //    7    1     2   0 |          
#define IOMUXD__GROUP_1_3                        REG32(IOMUXD_REG_BASE+0x00023400U) //    8    1     3   0 |          
#define IOMUXD__GROUP_1_4                        REG32(IOMUXD_REG_BASE+0x00024400U) //    9    1     4   0 |          
#define IOMUXD__GROUP_1_5                        REG32(IOMUXD_REG_BASE+0x00025400U) //   10    1     5   0 |          
#define IOMUXD__GROUP_2_0                        REG32(IOMUXD_REG_BASE+0x00040400U) //   11    2     0   0 |          
#define IOMUXD__GROUP_2_1                        REG32(IOMUXD_REG_BASE+0x00041400U) //   12    2     1   0 |          
#define IOMUXD__GROUP_2_2                        REG32(IOMUXD_REG_BASE+0x00042400U) //   13    2     2   0 |          
#define IOMUXD__GROUP_2_3                        REG32(IOMUXD_REG_BASE+0x00043400U) //   14    2     3   0 |          
#define IOMUXD__GROUP_2_4                        REG32(IOMUXD_REG_BASE+0x00044400U) //   15    2     4   0 |          
#define IOMUXD__GROUP_2_5                        REG32(IOMUXD_REG_BASE+0x00045400U) //   16    2     5   0 |          
#define IOMUXD__GROUP_3_0                        REG32(IOMUXD_REG_BASE+0x00060400U) //   17    3     0   0 |          
#define IOMUXD__GROUP_3_1                        REG32(IOMUXD_REG_BASE+0x00061400U) //   18    3     1   0 |          
#define IOMUXD__GROUP_3_2                        REG32(IOMUXD_REG_BASE+0x00062400U) //   19    3     2   0 |          
#define IOMUXD__GROUP_3_3                        REG32(IOMUXD_REG_BASE+0x00063400U) //   20    3     3   0 |          

#endif

